<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:b="http://bootsfaces.net/ui">
<h:body>
	<f:metadata>
		<f:viewParam name="id" value="#{mbArticle.idArticle}" />
		<f:event listener="#{mbArticle.init()}" type="preRenderView"></f:event>
<!-- 		<f:event listener="#{mbSousCat.init()}" type="preRenderView"></f:event> -->

	</f:metadata>

	<ui:composition template="/arche/arche.xhtml">

		<ui:define name="content">

			<div class="leftPage">
				<b:form horizontal="true">
					<br />
					<b:row>
						<b:column span="6" offset="3">
							<h3 style="color: #35cbdf; font-family: Arial, sans-serif; font-size: 50px" align="center">Editer Article</h3>
						</b:column>
					</b:row>

					<b:row>
						<b:column span="6" offset="3">
							<br />
							<img src="../img/#{mbArticle.articleD.nomImage}" height="200px" />
							<h:outputLabel value="#{mbArticle.articleD.nom}"
								style="font-family: Arial, sans-serif; font-size:20px;" />
							<br />
						</b:column>
					</b:row>
					<br />

					<b:formGroup>
						<b:row>
							<b:column span="1" offset="3">
								<h:inputHidden value="#{mbArticle.articleD.id}" />
							</b:column>
						</b:row>
						
						<b:row>
							<b:column span="3" offset="3">
								<b:inputText value="#{mbArticle.articleD.nom}" placeholder="#{mbArticle.articleD.nom}" required="true"  label="Nom :"/>
								<br />
							</b:column>
						</b:row>

						<b:row>
							<b:column span="6" offset="3">
								<b:inputTextarea value="#{mbArticle.articleD.description}" placeholder="#{mbArticle.articleD.description}" required="true"  label="Description :"/>
								<br />
							</b:column>
						</b:row>
						
						<b:row>
							<b:column span="1" offset="3">
								<b:inputText value="#{mbArticle.articleD.prix}" placeholder="#{mbArticle.articleD.prix}" required="true"  label="Prix :"/>
								<br />
							</b:column>
						</b:row>
						
						 <b:row rowspan="3">
							<b:column span="3" offset="3">
								<b:selectOneMenu value="#{mbSousCat.init()}" label="Sous Categorie">
									<f:selectItem itemLabel="#{mbArticle.articleD.sousCategorie.nom}" itemValue="#{mbArticle.articleD.sousCategorie.nom}"/>
									<f:selectItems value="#{mbSousCat.listeAllSousCategories}" var="sc" itemValue="#{sc}" itemLabel="#{sc.nom}" />
								</b:selectOneMenu>
								<br />
							</b:column>
						</b:row>
						<br/>
						
						<b:row>
							<b:column span="6" offset="3">
								<b:commandButton action="#{mbArticle.editerArticle()}" value="Editer"
									style="background-color :#565455; color:white" size="lg">
								</b:commandButton>
							</b:column>
						</b:row>
					</b:formGroup>
				</b:form>
					<br/>	<br/>
				<b:row>
							<b:column span="6" offset="3">
								<h:form>
									<b:link value="Retour" href="javascript:history.go(-1)" styleClass="btn btn-primary" size="sm" />
								</h:form>
							</b:column>
						</b:row>
				
			

			</div>
			

		</ui:define>
	</ui:composition>

</h:body>
</html>